<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product;

$rental = $product->is_type('ovacrs_car_rental') ? true : false;
?>

<?php if ( $rental ): ?>
	<span class="rental-price">
	<?php if ( ovacrs_get_price_type( get_the_id() ) == 'day' ): ?>
		<span class="amount"><?php echo ovacrs_get_price_day( get_the_id() ); ?></span>
    	<span class="time"><?php esc_html_e( '/ Day', 'ireca' ); ?></span>
	<?php elseif ( ovacrs_get_price_type( get_the_id() ) == 'hour' ): ?>
		<span class="amount"><?php echo ovacrs_get_price_hour( get_the_id() ); ?></span>
        <span class="time"><?php esc_html_e( '/ Hour', 'ireca' ); ?></span>
    <?php elseif ( ovacrs_get_price_type( get_the_id() ) == 'mixed' ): ?>
    	<span class="amount"><?php echo ovacrs_get_price_day( get_the_id() ); ?> </span>
        <span class="time"><?php esc_html_e( '/ Day', 'ireca' ); ?></span>
    <?php elseif ( ovacrs_get_price_type( get_the_id() ) == 'period_time' || ovacrs_get_price_type( get_the_id() ) == 'transportation' ):
    	$min = $max = 0;

    	if ( 'transportation' === ovacrs_get_price_type( get_the_id() ) ) {
            $price_location = get_post_meta( get_the_id(), 'ovacrs_price_location', true );

            if ( $price_location && is_array( $price_location ) ) {
                $min = min( $price_location );
                $max = max( $price_location );
            }
        }
        
    	if ( 'period_time' === ovacrs_get_price_type( get_the_id() ) ) {
            $price_period_time = get_post_meta( get_the_id(), 'ovacrs_petime_price', true );

            if ( $price_period_time && is_array( $price_period_time ) ) {
                $min = min( $price_period_time );
                $max = max( $price_period_time );
            }
        }
    ?>
    	<?php if ( apply_filters('ovacrs_show_price_min_max', true ) ): ?>
            <?php if ( $min > 0 && $max > 0 ): ?>
                <?php if ( $min == $max ): ?>
                    <span class="amount"><?php echo wc_price( $min ); ?></span>
                <?php else: ?>
                    <span class="amount"><?php echo wc_price( $min ). esc_html(' - ', 'ireca') . wc_price( $max ); ?></span>
                <?php endif; ?>
            <?php else: ?>
                <span class="amount"><?php esc_html_e( 'Price Option', 'ireca' ); ?></span>
            <?php endif; ?>
        <?php else: ?>
           <span class="amount"><?php echo ovacrs_get_price_day( get_the_id() ); ?> </span>
        <?php endif; ?>
	<?php endif; ?>
	</span>
<?php else: ?>
	<?php if ( $price_html = $product->get_price_html() ) : ?>
		<span class="price"><?php echo $price_html; ?></span>
	<?php endif; ?>
<?php endif; ?>