<?php $post_id = get_the_ID(); ?>

<div class="ovacrs_local_price">
	<table class="widefat">

		<thead>
			<tr>
				<th><?php esc_html_e( 'Pick-up Location', 'ova-crs' ); ?></th>
				<th><?php esc_html_e( 'Drop-off Location', 'ova-crs' ); ?></th>
				<th><?php esc_html_e( 'Price', 'ova-crs' ); ?></th>
				<th class="ovacrs-time"><?php esc_html_e( 'Time (Minute)', 'ova-crs' ); ?></th>
			</tr>
		</thead>

		<tbody class="wrap_resources">
			<!-- Append html here -->
			<?php 

			if( class_exists('OVACRS') && class_exists('woocommerce') ){
			  $location_arr = ovacrs_get_locations_array();
			}else{
			  $location_arr = array();
			}

			$ovacrs_pickup_location = get_post_meta( $post_id, 'ovacrs_pickup_location', 'false' );
			$ovacrs_dropoff_location = get_post_meta( $post_id, 'ovacrs_dropoff_location', 'false' );
			$ovacrs_price_location = get_post_meta( $post_id, 'ovacrs_price_location', 'false' );
			$ovacrs_location_time = get_post_meta( $post_id, 'ovacrs_location_time', 'false' );

			if( $ovacrs_pickup_location && ! empty( $location_arr ) ){ 

					for( $i = 0 ; $i < count( $ovacrs_pickup_location ); $i++ ) {
			?>

				<tr class="tr_rt_local_price">


				    <td width="30%">
				      <select  name="ovacrs_pickup_location[]" data-number_loc="<?php echo esc_attr( count( $location_arr ) ) ?>" >
				      	<option value="" ><?php echo esc_html__( 'Select Location', 'ova-crs' ); ?></option>
							<?php 
							if( $location_arr ) :
								foreach( $location_arr as $location ) :
									$selected = ( $ovacrs_pickup_location[$i] == html_entity_decode( $location ) ) ? 'selected' : '';
								?>
								<option value="<?php echo esc_attr( $location ) ?>"  <?php echo esc_attr( $selected ) ?> ><?php echo esc_html( $location ); ?></option>
							<?php endforeach; endif ?>
					    </select>
				    </td>

				    <td width="30%">
				      <select  name="ovacrs_dropoff_location[]" >
				      		<option value="" ><?php echo esc_html__( 'Select Location', 'ova-crs' ); ?></option>
							<?php 
							if( $location_arr ) :
								foreach( $location_arr as $location ) :
									$selected = ( isset( $ovacrs_dropoff_location[$i] ) && $ovacrs_dropoff_location[$i] == html_entity_decode( $location ) ) ? 'selected' : '';
								?>
								<option value="<?php echo esc_attr( $location ) ?>"  <?php echo esc_attr( $selected ) ?> ><?php echo esc_html( $location ); ?></option>
							<?php endforeach; endif ?>
					    </select>
				    </td>

				    <td width="20%">
				    	<input type="text" name="ovacrs_price_location[]" value="<?php echo isset( $ovacrs_price_location[$i] ) ?  esc_attr( $ovacrs_price_location[$i] ) : "" ?>" placeholder="<?php esc_html_e( '0', 'ova-crs' ) ?>" />
				    </td>

				    <td width="19%" class="ovacrs-time">
				    	<input type="text" name="ovacrs_location_time[]" value="<?php echo isset( $ovacrs_location_time[$i] ) ?  esc_attr( $ovacrs_location_time[$i] ) : "" ?>" placeholder="<?php esc_html_e( '0', 'ova-crs' ) ?>" />
				    </td>

				    <td width="1%"><a href="#" class="delete_local_price">x</a></td>
				    
				</tr>

			<?php } } ?>
		</tbody>

		<tfoot>
			<tr>
				<th colspan="6">
					<a href="#" class="button insert_local_price" data-row="
						<?php
							ob_start();
							include( OVACRS_PLUGIN_PATH.'/templates/ovacrs_local_price_field.php' );
							echo esc_attr( ob_get_clean() );
						?>

					">
					<?php esc_html_e( 'Add Location Fee', 'ova-crs' ); ?></a>
					</a>

					
				</th>
			</tr>
		</tfoot>

	</table>
</div>


